{
    "function": "set_components",
    "components": {
        "custom_data": {
            "or_item_has_weight": true,
            "or_item_weight_type": "percent",
            "or_item_weight_value": 3
        },
        "enchantments": {
            "overly_realistic:or_internal_bow": 1
        },
        "enchantment_glint_override": false,
        "tooltip_display": {
            "hidden_components": [
                "enchantments"
            ]
        },
        "item_name": {
            "translate": "item.minecraft.bow",
            "color": "white"
        }
    }
}